import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetGSErrorLogListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetGSErrorLogListParams> = {
  startTime: '',
  endTime: '',
  url: '',
  errorInfo: '',
  dataVal: '',
  type: '',
};
export const context = createTableSearchContext(contextState);
